---
- hosts: nginx_servers

  vars:
    reactjs_host_ip: 84.201.172.200
    reactjs_host_port: 80

  pre_tasks:
    - name: "NGINX | install nginx"
      apt:
        pkg: 
          - nginx

    - name: "NGINX | Remove symlink"
      file:
        path: "/etc/nginx/sites-enabled/default"
        state: absent

  tasks:
    - name: "NGINX | Add config file"
      template:
        src: ./templates/nginx.conf.j2
        dest: /etc/nginx/sites-enabled/nginx.conf
        force: true
        owner: root
        mode: 0644
      notify: reload nginx

  handlers:
    - name: reload nginx
      service: name=nginx state=reloaded